Author Topic: Gimp/2 under XFree86  (Read 15541 times)

miturbide

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1154
    • View Profile
    • OS2World
Gimp/2 under XFree86
« on: 2011.02.19, 14:58:31 »
I had never been good with XFree86 under OS/2 (well, under any platform). I had tried XFree86 installation on the past, but had always problems configuring the display.

When I saw that Gimp/2 was packaged on WPI format I give it try. but it don't run. This is the error I'm getting.

[X:\programs\xfree86]x11env
[X:\programs\xfree86]cd usr
[X:\programs\xfree86\usr]cd bin
[X:\programs\xfree86\usr\bin]gimp-2.2

(gimp-2.2:123): Gdk-WARNING **: locale not supported by Xlib

(gimp-2.2:123): Gdk-WARNING **: cannot set locale modifiers
GIMP could not initialize the graphical user interface.
Make sure a proper setup for your display environment exists.


It seems that I can not pass the display settings. Any tips ?

Martin
Martín Itúrbide
OS2World.com NewsMaster
Open Source Advocate

Skype - martiniturbide
Google Talk - martiniturbide@gmail.com

ivan

  • Hero Member
  • *****
  • Posts: 593
    • View Profile
Re: Gimp/2 under XFree86
« Reply #1 on: 2011.02.19, 16:02:51 »
Hi Martin,

You do have an XServer like HobX11 running?

Gimp works fine here - provided I remember to start the XServer.  No server no gimp.

ivan

melf

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 606
    • View Profile
Re: Gimp/2 under XFree86
« Reply #2 on: 2011.02.19, 19:04:15 »
And to install hobx11 in ecs2.0GA you need to copy ecsreg.ini and ecsreg11.ini from an ecs1.2 or RC installation to the present ecs2.0. Otherwise hobx11 refuses install. AFAIK this is the only possibility so far.
/Mikael